@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.5;
}

body {
    min-height: 100%;
    color: white;
    background-color: var(--dark);
    font-family: var(--font-primary);
    font-size: rem(16);
    line-height: 1.375;
}


// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 500;
    line-height: 1.2;
    font-family: var(--font-secondary);
}

h1, .h1 {
    font-size: rem(32);
    line-height: rem(32);
    margin-bottom: rem(24);
    text-transform: uppercase;

    @include media-breakpoint-up(md) {
        font-size: rem(36);
        line-height: rem(36);
        margin-bottom: rem(40);
    }
}

h2, .h2 {
    font-size: rem(32);
    margin-bottom: rem(24);
}

h3, .h3 {
    font-size: rem(16);
    margin-bottom: rem(20);

    @include media-breakpoint-up(md) {
        font-size: rem(24);
        margin-bottom: rem(24);
    }
}

h4, .h4 {
    font-size: rem(16);
    margin-bottom: rem(20);
}

h5, .h5 {
    font-weight: 600;
    font-size: rem(16);
    margin-bottom: rem(16);
}

h6, .h6 {
    font-size: rem(14);
    margin-bottom: rem(20);
}

a {
    text-decoration: underline;

    &:hover {
        text-decoration: none;
    }
}

p {
    margin-top: 0;
    margin-bottom: rem(12);

    &:last-child {
        margin-bottom: 0;
    }
}

// Lists

ol,
ul {
    padding-left: rem(32);
}

ol,
ul,
dl{
    margin-top: 0;
    margin-bottom: rem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}

 a {
    color: var(--orange);
    text-decoration: none;

    &:hover {
        color: var(--orange);
        text-decoration: underline;
    }
}

.list {
    padding: 0 0 0 rem(4);
    list-style: none;
    counter-reset: num;
    margin: 0 0 rem(12) 0;

    &:last-child {
        margin-bottom: 0;
    }

    li {
        position: relative;
        padding-left: rem(24);

        &:before {
            top: 0;
            left: 0;
            content: counter(num) '.';
            counter-increment: num;
            display: inline-block;
            position: absolute;
        }
    }
}

.list-point {
    padding: 0;
    list-style: none;
    margin: 0 0 rem(12) 0;

    &:last-child {
        margin-bottom: 0;
    }

    li {
        position: relative;
        padding-left: rem(24);

        &:before {
            top: 0;
            left: 0;
            content: '•';
            padding-left: rem(6);
            display: inline-block;
            position: absolute;
        }
    }
}
